Subject: [OSPF] AD review of draft-ietf-ospf-node-admin-tag-04

From: Alia Atlas <[email-masked]>
Date: Tue, 22 Sep 2015 14:58:15 -0400

As is customary, I have done my AD review of
draft-ietf-ospf-node-admin-tag-04
before requesting IETF Last Call.

First, I'd like to thank the working group and Shraddha, Harish, Hannes,
Rob,
Anton, Zhenbin, and Bruno for their hard work on the draft.  However, this
short
draft has 7 authors, which is a couple over the author limit for RFCs.
Experience
has shown that it takes much longer to process a draft through AUTH48 and
the
other steps necessary (responsiveness to comments, agreement, etc) with a
large
number of authors.  While I am willing to be persuaded - on or off list -
that all 7
of the current authors are actively editing, I would prefer that a smaller
number be
selected as the active editors.

While that discussion is ongoing, here are my technical comments.  In
general,
the draft is in good shape but could use some English grammar editing; I
have not
tried to indicate all the places where "the" is missing, for instance.

1) In the abstract: "This optional operational capability allows to
   express and act upon locally-defined network policy which considers
   node properties conveyed by tags."

   What is the subject that "to express and act upon"?  Is it a router?
   Please clean up.

2) In Sec 3.2: "The TLV SHOULD be considered an unordered list."  Perhaps
   "the value contents of the TLV" or something that makes it clearer?

3) In Sec 4.3: " [RFC7490] proposed method of"  should be
   "[RFC7490] defines a method of"

4) In Sec 5, I'm fairly certain that admin tags can leak additional
   information to an IGP snooper.  It would be useful to have some thoughts
   about that.

5) In IANA considerations, please duplicated the suggested value (10) that
   was mentioned in Sec 3.1

Thanks again for the hard work.  The sooner we resolve whom the editors are,
the sooner this draft can proceed.  Ideally, if updated by Thursday, it
could enter
IETF Last Call and make the IESG telechat on Oct 17.

Regards,
Alia

---

From: Alia Atlas <[email-masked]>
Date: Tue, 22 Sep 2015 15:02:10 -0400

> IETF Last Call and make the IESG telechat on Oct 17.

Oct 15 that is.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 22 Sep 2015 19:30:39 +0000

Thanks Alias - Speaking as Document Shepherd…

Authors,

Please let me know if you require any assistance - these all seem like good comments.

From: OSPF <[email-masked]<mailto:[email-masked]>> on behalf of Alia Atlas <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, September 22, 2015 at 3:02 PM
To: OSPF WG List <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [OSPF] AD review of draft-ietf-ospf-node-admin-tag-04

On Tue, Sep 22, 2015 at 2:58 PM, Alia Atlas <[email-masked]<mailto:[email-masked]>> wrote:
As is customary, I have done my AD review of draft-ietf-ospf-node-admin-tag-04
before requesting IETF Last Call.

First, I'd like to thank the working group and Shraddha, Harish, Hannes, Rob,
Anton, Zhenbin, and Bruno for their hard work on the draft.  However, this short
draft has 7 authors, which is a couple over the author limit for RFCs.  Experience
has shown that it takes much longer to process a draft through AUTH48 and the
other steps necessary (responsiveness to comments, agreement, etc) with a large
number of authors.  While I am willing to be persuaded - on or off list - that all 7
of the current authors are actively editing, I would prefer that a smaller number be
selected as the active editors.

In some cases, a draft represents a multi-vendor effort requiring a significant commitment from more than 5 authors and I’d specifically request a deviation from the author limit. I don’t see this to be the case with this draft.

While that discussion is ongoing, here are my technical comments.  In general,
the draft is in good shape but could use some English grammar editing; I have not
tried to indicate all the places where "the" is missing, for instance.

When you include this, be sure and point out the the attacker would also require knowledge of the policies corresponding to the tags. I’d also point out that the policies and advertised tags are local to the OSPF routing domain as is done in RFC 5530.

Thanks,
Acee

Thanks again for the hard work.  The sooner we resolve whom the editors are,
the sooner this draft can proceed.  Ideally, if updated by Thursday, it could enter
IETF Last Call and make the IESG telechat on Oct 17.

Oct 15 that is.

Regards,
Alia

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 22 Sep 2015 19:35:55 +0000

s/Alias/Alia/ - Not sure I can blame spell-check on that one ;^)

From: OSPF <[email-masked]<mailto:[email-masked]>> on behalf of Acee Lindem <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, September 22, 2015 at 3:30 PM
To: Alia Atlas <[email-masked]<mailto:[email-masked]>>, OSPF WG List <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [OSPF] AD review of draft-ietf-ospf-node-admin-tag-04

Authors,

Thanks,
Acee

Oct 15 that is.

Regards,
Alia

---

From: Shraddha Hegde <[email-masked]>
Date: Thu, 24 Sep 2015 17:27:23 +0000

Alia,

Thank you very much for the review and comments.
I have updated the draft and draft-ietf-ospf-node-admin-tag-05 is posted.

Authors list has been reduced to 6 and one author moved to contributor’s list.
Here is the list of other comments and resolutions

   What is the subject that "to express and act upon"?  Is it a router?
   Please clean up.
<Shraddha>changed  to
“The node-tags can be used to express and apply locally-defined
network policies which is a very useful operational capability.”

2) In Sec 3.2: "The TLV SHOULD be considered an unordered list."  Perhaps
   "the value contents of the TLV" or something that makes it clearer?
<Shraddha>Changed to
“The administrative tag list within the TLV SHOULD be considered
an unordered list.”

<Shraddha> Updated

4) In Sec 5, I'm fairly certain that admin tags can leak additional
   information to an IGP snooper.  It would be useful to have some thoughts
   about that.
<Shraddha>
Node admin tags may be used by operators to indicate geographical location or other
sensitive information.
As indicated in <xref target="RFC2328"/> and <xref target="RFC5340"/> OSPF authentication
mechanisms do not provide  confidentiality and the information carried in node admin tags could be leaked to an IGP
snooper.

<Shraddha> Updated

Rgds
Shraddha

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Wednesday, September 23, 2015 1:01 AM
To: Alia Atlas <[email-masked]>; OSPF List <[email-masked]>; [email-masked]
Subject: Re: [OSPF] AD review of draft-ietf-ospf-node-admin-tag-04

Authors,

Thanks,
Acee

Oct 15 that is.

Regards,
Alia

---

From: Alia Atlas <[email-masked]>
Date: Thu, 24 Sep 2015 14:03:45 -0400

Hannes,

On Thu, Sep 24, 2015 at 1:59 PM, Hannes Gredler <[email-masked]> wrote:

> i can be moved to contributors list as well if it helps.
>

Thanks - that would get us to 5 authors, which is the RFC Editor limit.

Practically, having watched through many of these AUTH48 periods - they
really
drag on with lots of authors.

Thanks,
Alia

> On 24.09.2015, at 19:27, Shraddha Hegde <[email-masked]> wrote:
>
> Alia,
>
>
>
> mechanisms do not provide  confidentiality and the information carried in
> node admin tags could be leaked to an IGP
>
> snooper.
>
>
>
> *From:* Acee Lindem (acee) [mailto:[email-masked] <[email-masked]>]
> *Sent:* Wednesday, September 23, 2015 1:01 AM
> *To:* Alia Atlas <[email-masked]>; OSPF List <[email-masked]>;
> [email-masked]
> *Subject:* Re: [OSPF] AD review of draft-ietf-ospf-node-admin-tag-04
>
>
>
> *From: *OSPF <[email-masked]> on behalf of Alia Atlas <
> [email-masked]>
> *Date: *Tuesday, September 22, 2015 at 3:02 PM
> *To: *OSPF WG List <[email-masked]>, "
> [email-masked]" <
> [email-masked]>
> *Subject: *Re: [OSPF] AD review of draft-ietf-ospf-node-admin-tag-04
>
>
>
>
>
>
>
> In some cases, a draft represents a multi-vendor effort requiring a
> significant commitment from more than 5 authors and I’d specifically
> request a deviation from the author limit. I don’t see this to be the case
> with this draft.
>
>
>
>
>
>
>
> When you include this, be sure and point out the the attacker would also
> require knowledge of the policies corresponding to the tags. I’d also point
> out that the policies and advertised tags are local to the OSPF routing
> domain as is done in RFC 5530.
>
>
>
> Thanks,
>
> Acee
>
>
>
>
>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 24 Sep 2015 18:14:20 +0000

Hi Alia, Hannes,

On Sep 24, 2015, at 2:03 PM, Alia Atlas <[email-masked]<mailto:[email-masked]>> wrote:

Hannes,

On Thu, Sep 24, 2015 at 1:59 PM, Hannes Gredler <[email-masked]<mailto:[email-masked]>> wrote:
i can be moved to contributors list as well if it helps.

Shraddha already moved one Juniper author to the contributors list. Perhaps, we could do a swap in the spirit of getting more new people involved.

Practically, having watched through many of these AUTH48 periods - they really
drag on with lots of authors.

Actually, my experience has been that BIS documents where the original authors are no longer following the IETF are the toughest. Greater than five authors has not been a problem for OSPF if they are all actively contributing and engaged (although I have had to contact one particular former colleague of yours and current colleague of mine via alternate channels ;^)

Thanks,
Acee

Thanks,
Alia

On 24.09.2015, at 19:27, Shraddha Hegde <[email-masked]<mailto:[email-masked]>> wrote:

Alia,

<Shraddha> Updated

Rgds
Shraddha

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Wednesday, September 23, 2015 1:01 AM
To: Alia Atlas <[email-masked]<mailto:[email-masked]>>; OSPF List <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [OSPF] AD review of draft-ietf-ospf-node-admin-tag-04

Authors,

Thanks,
Acee

Oct 15 that is.

Regards,
Alia

---

From: Alia Atlas <[email-masked]>
Date: Thu, 24 Sep 2015 14:19:09 -0400

Hi Acee,

On Thu, Sep 24, 2015 at 2:14 PM, Acee Lindem (acee) <[email-masked]> wrote:

> Hi Alia, Hannes,
>
> On Sep 24, 2015, at 2:03 PM, Alia Atlas <[email-masked]> wrote:
>
> Hannes,
>
> Shraddha already moved one Juniper author to the contributors list.
> Perhaps, we could do a swap in the spirit of getting more new people
> involved.
>

Whatever works between the WG chairs and the authors.

> Actually, my experience has been that BIS documents where the original
> authors are no longer following the IETF are the toughest. Greater than
> five authors has not been a problem for OSPF if they are all actively
> contributing and engaged (although I have had to contact one particular
> former colleague of yours and current colleague of mine via alternate
> channels ;^)
>

Yup - BIS documents are hard.  Responsiveness depends on the people.  Of
course, those involved in OSPF
are naturally more responsive;-)

Regards,
Alia

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 24 Sep 2015 18:25:52 +0000

From: Alia Atlas <[email-masked]<mailto:[email-masked]>>
Date: Thursday, September 24, 2015 at 2:19 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>
Cc: Hannes Gredler <[email-masked]<mailto:[email-masked]>>, Shraddha Hegde <[email-masked]<mailto:[email-masked]>>, OSPF WG List <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [OSPF] AD review of draft-ietf-ospf-node-admin-tag-04

Hi Acee,

On Thu, Sep 24, 2015 at 2:14 PM, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Alia, Hannes,

Hannes,

Apologies - I miscounted - there were 7 originally.  Authors should discuss.

Thanks,
Acee

Yup - BIS documents are hard.  Responsiveness depends on the people.  Of course, those involved in OSPF
are naturally more responsive;-)

Regards,
Alia

Thanks,
Acee

Thanks,
Alia

Alia,

<Shraddha> Updated

Rgds
Shraddha

Authors,

Thanks,
Acee

Oct 15 that is.

Regards,
Alia

---

From: Shraddha Hegde <[email-masked]>
Date: Tue, 29 Sep 2015 06:21:19 +0000

Thanks Hannes.

From: Hannes Gredler [mailto:[email-masked]]
Sent: Thursday, September 24, 2015 11:30 PM
To: Shraddha Hegde <[email-masked]>
Cc: Acee Lindem (acee) <[email-masked]>; Alia Atlas <[email-masked]>; OSPF List <[email-masked]>; [email-masked]
Subject: Re: [OSPF] AD review of draft-ietf-ospf-node-admin-tag-04

<Shraddha> Updated

Rgds
Shraddha

Authors,

Thanks,
Acee

Oct 15 that is.

Regards,
Alia